GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List cited domains GETList cited URLs GETGet citation positions GETList citations GETGet citation type trends GETGet cited page trends GETGet cited URL GET
Citations

Tag competitors POST

Add tags to or remove tags from several competitors, leaving their other tags.

List cited URLs GET

Cited URLs with types, models, share and positions.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Citations

List cited domains

GET
/brands/{brandId}/citations/domains

Most cited domains with share, change and daily counts.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
tags?string

Comma-separated prompt tag ids

Lengthlength <= 2000
competitors?string

Comma-separated competitor ids; responses mentioning any

Lengthlength <= 2000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
limit?integer
Default7

Response Body

Top domains and every cited domain for filters

application/json
  1. response
  1. response
  2. …
total*integer
days*array<string>
domains*array<>
facets*array<>

Every cited domain in scope, most cited first, up to 500

brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/domains'
Example Response
{  "total": 0,  "days": [    "string"  ],  "domains": [    {      "domain": "string",      "citations": 0,      "share": 0,      "change": 0,      "owner": "brand",      "brandKey": "string",      "daily": [        0      ]    }  ],  "facets": [    {      "domain": "string",      "citations": 0    }  ],  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Tag competitors POST

Add tags to or remove tags from several competitors, leaving their other tags.

List cited URLs GET

Cited URLs with types, models, share and positions.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/domains'
{
  "total": 0,
  "days": [
    "string"
  ],
  "domains": [
    {
      "domain": "string",
      "citations": 0,
      "share": 0,
      "change": 0,
      "owner": "brand",
      "brandKey": "string",
      "daily": [
        0
      ]
    }
  ],
  "facets": [
    {
      "domain": "string",
      "citations": 0
    }
  ],
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}